import request from '@/utils/request'

// 查询学校列表
export function listSyCollege(query) {
  return request({
    url: '/sy/syCollege/list',
    method: 'get',
    params: query
  })
}

// 查询学校详细
export function getSyCollege(id) {
  return request({
    url: '/sy/syCollege/' + id,
    method: 'get'
  })
}

// 新增学校
export function addSyCollege(data) {
  return request({
    url: '/sy/syCollege',
    method: 'post',
    data: data
  })
}

// 修改学校
export function updateSyCollege(data) {
  return request({
    url: '/sy/syCollege',
    method: 'put',
    data: data
  })
}

// 删除学校
export function delSyCollege(id) {
  return request({
    url: '/sy/syCollege/' + id,
    method: 'delete'
  })
}

// 导出学校
export function exportSyCollege(query) {
  return request({
    url: '/sy/syCollege/export',
    method: 'get',
    params: query
  })
}